# Visualization
TKService
TColQuantity

# TColQuantity_Array1OfLength Class Reference

`#include <TColQuantity_Array1OfLength.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColQuantity_Array1OfLength (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TColQuantity_Array1OfLength (const Quantity_Length &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Quantity_Length &V)
Standard_EXPORT void | Destroy ()
| ~TColQuantity_Array1OfLength ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TColQuantity_Array1OfLength & | Assign (const TColQuantity_Array1OfLength &Other)
const TColQuantity_Array1OfLength & | operator= (const TColQuantity_Array1OfLength &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Quantity_Length &Value)
const Quantity_Length & | Value (const Standard_Integer Index) const
const Quantity_Length & | operator() (const Standard_Integer Index) const
Quantity_Length & | ChangeValue (const Standard_Integer Index)
Quantity_Length & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TColQuantity_Array1OfLength (const TColQuantity_Array1OfLength &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TColQuantity_Array1OfLength::TColQuantity_Array1OfLength | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TColQuantity_Array1OfLength::TColQuantity_Array1OfLength | ( | const Quantity_Length & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TColQuantity_Array1OfLength::~TColQuantity_Array1OfLength | ( |  | ) | `[inline]`

Standard_EXPORT TColQuantity_Array1OfLength::TColQuantity_Array1OfLength | ( | const TColQuantity_Array1OfLength & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TColQuantity_Array1OfLength& TColQuantity_Array1OfLength::Assign | ( | const TColQuantity_Array1OfLength & | Other | ) |

Quantity_Length& TColQuantity_Array1OfLength::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TColQuantity_Array1OfLength::Destroy | ( |  | ) |

Standard_EXPORT void TColQuantity_Array1OfLength::Init | ( | const Quantity_Length & | V | ) |

Standard_Boolean TColQuantity_Array1OfLength::IsAllocated | ( |  | ) | const

Standard_Integer TColQuantity_Array1OfLength::Length | ( |  | ) | const

Standard_Integer TColQuantity_Array1OfLength::Lower | ( |  | ) | const

void TColQuantity_Array1OfLength::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColQuantity_Array1OfLength::operator new | ( | size_t | size | ) | `[inline]`

void* TColQuantity_Array1OfLength::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Quantity_Length& TColQuantity_Array1OfLength::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Quantity_Length& TColQuantity_Array1OfLength::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TColQuantity_Array1OfLength& TColQuantity_Array1OfLength::operator= | ( | const TColQuantity_Array1OfLength & | Other | ) | `[inline]`

void TColQuantity_Array1OfLength::SetValue | ( | const Standard_Integer | Index,
|  | const Quantity_Length & | Value
| ) |

Standard_Integer TColQuantity_Array1OfLength::Upper | ( |  | ) | const

const Quantity_Length& TColQuantity_Array1OfLength::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TColQuantity_Array1OfLength::isAllocated `[private]`

Standard_Integer TColQuantity_Array1OfLength::myLowerBound `[private]`

Standard_Address TColQuantity_Array1OfLength::myStart `[private]`

Standard_Integer TColQuantity_Array1OfLength::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TColQuantity_Array1OfLength.hxx